Bug 808114 - streaming with no backing file should not do anything
streaming with no backing file should not do anything
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On:
Blocks: 806280 965636
  Show dependency treegraph
 
Reported: 2012-03-29 11:47 EDT by Paolo Bonzini
Modified: 2013-05-21 09:00 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 965636 (view as bug list)
Environment:
Last Closed: 2013-05-21 09:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2012-03-29 11:47:31 EDT
Description of problem:
Streaming an image with no backing file wastes time copying the whole image onto itself.

Version-Release number of selected component (if applicable):
qemu-kvm 267rhev

How reproducible:
100%

Steps to Reproduce:
1. install to qcow2
2. start QEMU
3. do block_stream virtio0
  
Actual results:
Streaming job runs

Expected results:
Streaming job ends immediately

Additional info:
Also related, streaming should not even start if the image format does not support bdrv_change_backing_file.
Comment 1 juzhang 2012-03-30 23:05:27 EDT
Can reproduce with qemu-kvm-267.el6ev.

1.boot guest with qcow2
2.block_stream virtio0
3.info block-jobs

Resutls
(qemu) info block-jobs 
Streaming device virtio0: Completed 12817137664 of 21474836480 bytes, speed limit 0 bytes/s
Comment 4 Paolo Bonzini 2013-05-21 09:00:42 EDT
Deferred to 7.0 (bug 965636).

Note You need to log in before you can comment on or make changes to this bug.